* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body, html {
  height: 100%;
  background: linear-gradient(135deg, #2c3e50, #3498db);
  color: #fff;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

#game-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

h1 {
  margin-bottom: 10px;
  font-size: 2.5em;
  text-shadow: 2px 2px 5px rgba(0,0,0,0.7);
}

#config-panel {
  flex: 0 0 600px;
  width: 600px;
  text-align: center;
  box-sizing: border-box;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 10px;
  border-radius: 8px;
}


.config-options {
  width: 100%;
  margin: 10px 0;
  text-align: left;
}

.hidden {
  display: none;
}

canvas {
  background-color: #000;
  border: 2px solid #fff;
}
